| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions
Tp::BaseConnection Class Reference
Connection service implementation

Base class for Connection implementations. More...

`#include <TelepathyQt/BaseConnection>`

Inherits Tp::DBusService.

List of all members.

## Signals

- void disconnected ()

## Public Member Functions

- virtual ~BaseConnection ()
- QString cmName () const
- QString protocolName () const
- QVariantMap parameters () const
- QVariantMap immutableProperties () const
- virtual QString uniqueName () const
- bool registerObject (DBusError *error=NULL)

## Static Public Member Functions

- static BaseConnectionPtr create (const QString &cmName, const QString &protocolName, const QVariantMap &parameters)
- template<typename BaseConnectionSubclass > static SharedPtr
  < BaseConnectionSubclass > create (const QString &cmName, const QString &protocolName, const QVariantMap &parameters)
- static BaseConnectionPtr create (const QDBusConnection &dbusConnection, const QString &cmName, const QString &protocolName, const QVariantMap &parameters)
- template<typename BaseConnectionSubclass > static SharedPtr
  < BaseConnectionSubclass > create (const QDBusConnection &dbusConnection, const QString &cmName, const QString &protocolName, const QVariantMap &parameters)

## Protected Member Functions

- BaseConnection (const QDBusConnection &dbusConnection, const QString &cmName, const QString &protocolName, const QVariantMap &parameters)
- virtual bool registerObject (const QString &busName, const QString &objectPath, DBusError *error)

## Detailed Description

Base class for Connection implementations.

## Constructor & Destructor Documentation

Tp::BaseConnection::~BaseConnection | ( |  | ) | `[virtual]`

Class destructor.

Tp::BaseConnection::BaseConnection | ( | const QDBusConnection & | dbusConnection,
|  | const QString & | cmName,
|  | const QString & | protocolName,
|  | const QVariantMap & | parameters
| ) |  | `[protected]`

Construct a BaseConnection.

Parameters:

  dbusConnection | The D-Bus connection that will be used by this object.
  cmName | The name of the connection manager associated with this connection.
  protocolName | The name of the protocol associated with this connection.
  parameters | The parameters of this connection.

## Member Function Documentation

static BaseConnectionPtr Tp::BaseConnection::create | ( | const QString & | cmName,
|  | const QString & | protocolName,
|  | const QVariantMap & | parameters
| ) |  | `[inline, static]`

template<typename BaseConnectionSubclass >

static SharedPtr<BaseConnectionSubclass> Tp::BaseConnection::create | ( | const QString & | cmName,
|  | const QString & | protocolName,
|  | const QVariantMap & | parameters
| ) |  | `[inline, static]`

static BaseConnectionPtr Tp::BaseConnection::create | ( | const QDBusConnection & | dbusConnection,
|  | const QString & | cmName,
|  | const QString & | protocolName,
|  | const QVariantMap & | parameters
| ) |  | `[inline, static]`

template<typename BaseConnectionSubclass >

static SharedPtr<BaseConnectionSubclass> Tp::BaseConnection::create | ( | const QDBusConnection & | dbusConnection,
|  | const QString & | cmName,
|  | const QString & | protocolName,
|  | const QVariantMap & | parameters
| ) |  | `[inline, static]`

QString Tp::BaseConnection::cmName | ( |  | ) | const

Return the name of the connection manager associated with this connection.

Returns:
  The name of the connection manager associated with this connection.

QString Tp::BaseConnection::protocolName | ( |  | ) | const

Return the name of the protocol associated with this connection.

Returns:
  The name of the protocol associated with this connection.

QVariantMap Tp::BaseConnection::parameters | ( |  | ) | const

Return the parameters of this connection.

Returns:
  The parameters of this connection.

QVariantMap Tp::BaseConnection::immutableProperties | ( |  | ) | const`[virtual]`

Return the immutable properties of this connection object.

Immutable properties cannot change after the object has been registered on the bus with registerObject().

Returns:
  The immutable properties of this connection object.

Implements Tp::DBusService.

QString Tp::BaseConnection::uniqueName | ( |  | ) | const`[virtual]`

Return a unique name for this connection.

Returns:
  A unique name for this connection.

bool Tp::BaseConnection::registerObject | ( | DBusError * | error = `NULL` | ) |

Register this connection object on the bus.

If error is passed, any D-Bus error that may occur will be stored there.

Parameters:

  error | A pointer to an empty DBusError where any possible D-Bus error will be stored.

Returns:
  `true` on success and `false` if there was an error or this connection object is already registered.

See also:
  isRegistered()

void Tp::BaseConnection::disconnected | ( |  | ) | `[signal]`

Emitted when this connection has been disconnected.

bool Tp::BaseConnection::registerObject | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | DBusError * | error
| ) |  | `[protected, virtual]`

Reimplemented from DBusService.

Reimplemented from Tp::DBusService.